package com.fos.modules.tableView.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;
import com.fos.modules.myUserPre.entity.MyUserPreDrinkEntity;
import com.fos.modules.myUserPre.entity.MyUserPreDrinkTasteEntity;
import com.fos.modules.myUserPre.entity.MyUserPreFoodEntity;
import com.fos.modules.myUserPre.entity.MyUserPreFoodTasteEntity;

import java.util.Date;
import java.util.List;

/**
 * Created by Tony on 2016/10/11.
 */
public class TableViewOrderEntity extends BaseEntity {

    @JSONField(serialize = false)
    private int orderId;

    @JSONField(serialize = false)
    private int userId;

    @JSONField(name = "userName")
    private String userName;        //用户名称

    @JSONField(name = "nickName")
    private String nickName;        //用户昵称

    @JSONField(name = "checkInTime")
    private Date checkInTime;       //登录时间

    @JSONField(name = "orderStatus")
    private int orderStatus;        //订单状态0点餐，1加餐，2不能加餐或点餐

    @JSONField(name = "checkOutStatus")
    private int checkOutStatus;      //登出状态0未登出1已登出

    @JSONField(name = "OrderNum")
    private int OrderNum;       //订单菜品数量

    @JSONField(name = "foodList")
    private List<TableViewFoodEntity> foodList;     //菜品集合

    @JSONField(name="userPreDrinkList")
    private List<MyUserPreDrinkEntity> userPreDrinkList;    //用户前3喜爱的喝的

    @JSONField(name="userPreDrinkTasteList")
    private List<MyUserPreDrinkTasteEntity> userPreDrinkTasteList;		//用户前3喜爱喝的口味

    @JSONField(name="userPreFoodList")
    private List<MyUserPreFoodEntity> userPreFoodList;       //用户前3喜爱食物

    @JSONField(name="userPreFoodTasteList")
    private List<MyUserPreFoodTasteEntity> userPreFoodTasteList;    //用户前3喜爱食物口味

    @JSONField(name = "arrive")
    private String arrive;        //目的地
    
    @JSONField(name = "flightNo")
    private String flightNo;        //航班号
    
   /* @JSONField(name="loginCount")
    private String loginCount;//用户登陆次数
    
    public String getLoginCount() {
		return loginCount;
	}

	public void setLoginCount(String loginCount) {
		this.loginCount = loginCount;
	}*/

	public String getArrive() {
		return arrive;
	}

	public void setArrive(String arrive) {
		this.arrive = arrive;
	}

	public String getFlightNo() {
		return flightNo;
	}

	public void setFlightNo(String flightNo) {
		this.flightNo = flightNo;
	}

	public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getCheckInTime() {
        return checkInTime;
    }

    public void setCheckInTime(Date checkInTime) {
        this.checkInTime = checkInTime;
    }

    public int getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(int orderStatus) {
        this.orderStatus = orderStatus;
    }

    public int getCheckOutStatus() {
        return checkOutStatus;
    }

    public void setCheckOutStatus(int checkOutStatus) {
        this.checkOutStatus = checkOutStatus;
    }

    public int getOrderNum() {
        return OrderNum;
    }

    public void setOrderNum(int orderNum) {
        OrderNum = orderNum;
    }

    public List<TableViewFoodEntity> getFoodList() {
        return foodList;
    }

    public void setFoodList(List<TableViewFoodEntity> foodList) {
        this.foodList = foodList;
    }

    public int getOrderId() {
        return orderId;
    }

    public void setOrderId(int orderId) {
        this.orderId = orderId;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public List<MyUserPreDrinkEntity> getUserPreDrinkList() {
        return userPreDrinkList;
    }

    public void setUserPreDrinkList(List<MyUserPreDrinkEntity> userPreDrinkList) {
        this.userPreDrinkList = userPreDrinkList;
    }

    public List<MyUserPreDrinkTasteEntity> getUserPreDrinkTasteList() {
        return userPreDrinkTasteList;
    }

    public void setUserPreDrinkTasteList(List<MyUserPreDrinkTasteEntity> userPreDrinkTasteList) {
        this.userPreDrinkTasteList = userPreDrinkTasteList;
    }

    public List<MyUserPreFoodEntity> getUserPreFoodList() {
        return userPreFoodList;
    }

    public void setUserPreFoodList(List<MyUserPreFoodEntity> userPreFoodList) {
        this.userPreFoodList = userPreFoodList;
    }

    public List<MyUserPreFoodTasteEntity> getUserPreFoodTasteList() {
        return userPreFoodTasteList;
    }

    public void setUserPreFoodTasteList(List<MyUserPreFoodTasteEntity> userPreFoodTasteList) {
        this.userPreFoodTasteList = userPreFoodTasteList;
    }
}
